import request  from "@/utils/request";

//查看客户列表
export function selectList(data) {
  return request({
    url: '/pay/customer/list',
    method: 'POST',
    data: data
  })
}

//请求未入住的服务code
export function customerAll() {
  return request({
    url: '/pay/customer/all',
    method: 'GET'
  })
}

//添加客户
export function save(data) {
  return request({
    url: '/pay/customer',
    method: 'POST',
    data: data
  })
}
//修改客户
export function update(data) {
  return request({
    url: `/pay/customer/${data.id}`,
    method: 'PUT',
    data: data
  })
}

//获取单条
export function get(orderCustomerId) {
  return request({
    url: `/pay/customer/${orderCustomerId}`,
    method: 'GET'
  })
}

//客户信息删除
export function del(orderCustomerId){
  return request({
    url: `/pay/customer/${orderCustomerId}`,
    method: 'DELETE'
  })
}

//通过ID启动客户
export function enable(orderCustomerId){
  return request({
    url: `/pay/customer/enable/${orderCustomerId}`,
    method: 'GET'
  })
}
//通过ID禁用客户
export function disable(orderCustomerId){
  return request({
    url: `/pay/customer/disable/${orderCustomerId}`,
    method: 'GET'
  })
}
